<?php
/**
* @file
* Administrative pages for the Data Import Module
*/

/**
* Implements hook_form().
*/
function data_import_delete($form, &$form_state, $importer_id) {

  $form['importer_id'] = array(
    '#type' => 'hidden',
    '#value' => $importer_id,
  );

  $confirmation_question = t('Are you sure to delete importer ' .$importer_id );

  $cancel_path = 'admin/config/content/data-import';

  $description = t('This action cannot be undone.');

  $yes_button = t('Delete');
  $no_button = t('Cancel');

  return confirm_form(
    $form,
    $confirmation_question,
    $cancel_path,
    $description,
    $yes_button,
    $no_button
  );
}

function data_import_delete_submit($form, &$form_state) {
  data_importer_delete($form_state['values']['importer_id']);
  $form_state['redirect'] = 'admin/config/content/data-import';

  drupal_set_message('The importer ' . $form_state['values']['importer_id'] . ' was deleted.');
}
